summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/wqy-microhei-font-ttf/65-wqy-microhei.conf21
-rw-r--r--system/wqy-microhei-font-ttf/README8
-rw-r--r--system/wqy-microhei-font-ttf/doinst.sh11
-rw-r--r--system/wqy-microhei-font-ttf/slack-desc19
-rw-r--r--system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.SlackBuild80
-rw-r--r--system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.info10
6 files changed, 149 insertions, 0 deletions
diff --git a/system/wqy-microhei-font-ttf/65-wqy-microhei.conf b/system/wqy-microhei-font-ttf/65-wqy-microhei.conf
new file mode 100644
index 0000000000..a1f3c23859
--- /dev/null
+++ b/system/wqy-microhei-font-ttf/65-wqy-microhei.conf
@@ -0,0 +1,21 @@
+<!-- This file is picked up from https://aur.archlinux.org/packages.php?ID=28556 -->
+<?xml version='1.0'?>
+<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
+<fontconfig>
+<match target="font">
+ <test qual="any" name="family">
+ <string>WenQuanYi Micro Hei</string>
+ <string>文泉驿微米黑</string>
+ <string>文泉驛微米黑</string>
+ </test>
+ <edit name="globaladvance"><bool>false</bool></edit>
+ <edit name="spacing"><int>0</int></edit>
+ <edit name="antialias" mode="assign"><bool>true</bool></edit>
+ <edit name="rh_prefer_bitmaps" mode="assign"><bool>false</bool></edit>
+ <edit name="embeddedbitmap"><bool>false</bool></edit>
+ <edit name="autohint" mode="assign"><bool>false</bool></edit>
+ <edit name="hinting" mode="assign"><bool>true</bool></edit>
+ <edit name="hintstyle" mode="assign"><const>hintslight</const></edit>
+ <edit name="rgba" mode="assign"><const>rgb</const></edit>
+</match>
+</fontconfig>
diff --git a/system/wqy-microhei-font-ttf/README b/system/wqy-microhei-font-ttf/README
new file mode 100644
index 0000000000..1830628ed0
--- /dev/null
+++ b/system/wqy-microhei-font-ttf/README
@@ -0,0 +1,8 @@
+WenQuanYi Micro Hei font family is a Sans-Serif style (also known as Hei,
+Gothic or Dotum among the Chinese/Japanese/Korean users) high quality
+CJK outline font. It was derived from "Droid Sans Fallback", "Droid
+Sans" and "Droid Sans Mono" released by Google Corp.
+
+This package installs /etc/fonts/conf.avail/65-wqy-microhei.conf and
+symlinks it to /etc/fonts/conf.d/.
+
diff --git a/system/wqy-microhei-font-ttf/doinst.sh b/system/wqy-microhei-font-ttf/doinst.sh
new file mode 100644
index 0000000000..e9c87ecd72
--- /dev/null
+++ b/system/wqy-microhei-font-ttf/doinst.sh
@@ -0,0 +1,11 @@
+# There's no need to chroot and do this during initial
+# install, since there is a post-install script that
+# does the same thing, saving time.
+# Update X font indexes and the font cache:
+if [ -x /usr/bin/mkfontdir ]; then
+ /usr/bin/mkfontscale /usr/share/fonts/TTF
+ /usr/bin/mkfontdir /usr/share/fonts/TTF
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache /usr/share/fonts/TTF
+fi
diff --git a/system/wqy-microhei-font-ttf/slack-desc b/system/wqy-microhei-font-ttf/slack-desc
new file mode 100644
index 0000000000..76a951e004
--- /dev/null
+++ b/system/wqy-microhei-font-ttf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wqy-microhei-font-ttf: wqy-microhei-font-ttf (Wen Quan Yi Micro Hei CJK Font)
+wqy-microhei-font-ttf:
+wqy-microhei-font-ttf: The WenQuanYi Micro Hei font is a new Sans Serif CJK font derived
+wqy-microhei-font-ttf: from Google "Droid Sans Fallback".
+wqy-microhei-font-ttf:
+wqy-microhei-font-ttf: Homepage: http://wenq.org/
+wqy-microhei-font-ttf:
+wqy-microhei-font-ttf:
+wqy-microhei-font-ttf:
+wqy-microhei-font-ttf:
+wqy-microhei-font-ttf:
diff --git a/system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.SlackBuild b/system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.SlackBuild
new file mode 100644
index 0000000000..1dfaffc6a0
--- /dev/null
+++ b/system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for WenQuanYi Micro Hei
+
+# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012 vvoody <vvoodywang@gmail.com>
+#
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+PRGNAM=wqy-microhei-font-ttf
+VERSION=${VERSION:-0.2.0_beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+SRCNAM=wqy-microhei
+SRCVERSION=$(echo $VERSION | tr _ -)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$SRCNAM-$SRCVERSION.tar.gz
+mv $SRCNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a *.ttc $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.txt ChangeLog.txt INSTALL.txt LICENSE_Apache2.txt LICENSE_GPLv3.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/fonts/conf.{d,avail}
+cat $CWD/65-wqy-microhei.conf > $PKG/etc/fonts/conf.avail/65-wqy-microhei.conf
+cd $PKG/etc/fonts/conf.d && ln -sf ../conf.avail/65-wqy-microhei.conf
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.info b/system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.info
new file mode 100644
index 0000000000..c4b1fa9434
--- /dev/null
+++ b/system/wqy-microhei-font-ttf/wqy-microhei-font-ttf.info
@@ -0,0 +1,10 @@
+PRGNAM="wqy-microhei-font-ttf"
+VERSION="0.2.0_beta"
+HOMEPAGE="http://wenq.org/"
+DOWNLOAD="http://sourceforge.net/projects/wqy/files/wqy-microhei/0.2.0-beta/wqy-microhei-0.2.0-beta.tar.gz"
+MD5SUM="a124c5c6606f4f3b733d3477380e9d2f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="vvoody"
+EMAIL="vvoodywang@gmail.com"